import '@das-fed/ui/packages/global/theme';
import type { PayAppidType } from './type';
declare const DasPaymentRef: () => import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("./type").DasPaymentProps> & Readonly<{
    "onUpdate:show"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:show": (...args: any[]) => void;
}, import("vue").PublicProps, {}, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
}, Readonly<import("./type").DasPaymentProps> & Readonly<{
    "onUpdate:show"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, {}> | null, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("./type").DasPaymentProps> & Readonly<{
    "onUpdate:show"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:show": (...args: any[]) => void;
}, import("vue").PublicProps, {}, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
}, Readonly<import("./type").DasPaymentProps> & Readonly<{
    "onUpdate:show"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, {}> | null>;
declare const DasPayment: import("@das-fed/utils").SFCWithInstall<import("vue").DefineComponent<import("./type").DasPaymentProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:show": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("./type").DasPaymentProps> & Readonly<{
    "onUpdate:show"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>>;
declare enum ProviderMenu {
    'wechat' = "wechat",
    'alipay' = "alipay"
}
declare enum PayStatusCode {
    NOTPAY = 0,
    USERPAYING = 1,
    ACCEPT = 2,
    PAYERROR = 3,
    REVOKED = 64,
    SUCCESS = 65,
    CLOSED = 66,
    REFUND = 67
}
declare const getPayAppid: () => Promise<PayAppidType>;
export { DasPaymentRef, DasPayment, ProviderMenu, PayStatusCode, getPayAppid };
declare const _default: {
    name: string;
};
export default _default;
